:root {
    margin: 0;
    padding: 0;
    width: 100%;
    --prime: #6b00e6;
    --prime-light: #782fff;
    --danger: #a72309;
    --info: rgb(45, 108, 245);
    --success: rgb(0, 161, 48);
    --secondary: #03e468;
    --secondary-light: #c5fd5d;
    --night: #040506;
    --night-light: #2f3032;
    --gray6-dark: #535458;
    --trans-black: #00000096;
    --trans-white: #ffffffab;
    --gray-mid: #c7c7c7;
    --gray6-light: rgb(235, 235, 240);
    --fake-white: #ebebeb;
    --full-white: #ffffff;
}

/* backgrounds */
.bg-night {
    background: var(--night);
}
.bg-night-light {
    background: var(--night-light);
}
.bg-prime {
    background: var(--prime);
}
.bg-prime-light {
    background: var(--prime-light);
}
.bg-danger {
    background: var(--danger);
}
.bg-info {
    background: var(--info);
}
.bg-secondary {
    background: var(--secondary);
}
.bg-secondary-light {
    background: var(--secondary-light);
}
.bg-gray6-dark {
    background: var(--gray6-dark);
}
.bg-trans-black {
    background: var(--trans-black);
}
.bg-trans-white {
    background: var(--trans-white);
}
.bg-gray-mid {
    background: var(--gray-mid);
}
.bg-gray6-light {
    background: var(--gray6-light);
}
.bg-fake-white {
    background: var(--fake-white);
}
.bg-full-white {
    background: var(--full-white);
}
.bg-success {
    background: var(--success);
}

/* couleur svg*/
.is-night {
    fill: var(--night);
}
.is-light {
    fill: var(--fake-white);
}

/* text colors */
.txt-prime {
    color: var(--prime);
}
.txt-prime-light {
    color: var(--prime-light);
}
.txt-danger {
    color: var(--danger);
}
.txt-secondary {
    color: var(--secondary);
}
.txt-night {
    color: var(--night);
}
.txt-secondary-light {
    color: var(--secondary-light);
}
.txt-gray6-dark {
    color: var(--gray6-dark);
}
.txt-trans-black {
    color: var(--trans-black);
}
.txt-trans-black {
    color: var(--trans-white);
}
.txt-gray-mid {
    color: var(--gray-mid);
}
.txt-gray6-light {
    color: var(--gray6-light);
}
.txt-fake-white {
    color: var(--fake-white);
}
.txt-full-white {
    color: var(--full-white);
}
.txt-green-dark {
    color: var(--green-dark);
}
.txt-green-light {
    color: var(--green-light);
}
/* hover */

.hover-prime-light:hover {
    color: var(--full-white);
    background: var(--prime-light);
    transition: background .6s, color .6s;
}
.hover-night-light:hover {
    color: var(--full-white);
    background: var(--night-light);
    transition: background .6s, color .6s;
}
.hover-secondary-light:hover {
    color: var(--night);
    background: var(--secondary-light);
    transition: background .6s, color .6s;
}
.hover-secondary:hover {
    color: var(--night);
    background: var(--secondary);
    transition: background .6s, color .6s;
}
.active-prime-light:active {
    color: var(--full-white);
    background: var(--prime-light);
}